/**
 * @file    reHDD.h
 * @brief   represent
 * @author  hendrik schutter
 * @date    01.05.2020
 */

#ifndef REHDD_H_
#define REHDD_H_

#include <list>
#include <iostream>
#include <string>
#include <fstream>
#include <tuple>
#include <vector>

using namespace std;

#include "drive.h"
#include "smart.h"

template <typename T, typename I> T* iterator_to_pointer(I i)
{
    return (&(*i));
}

class reHDD
{
protected:

public:
    reHDD(void);
    void app_logic();

private:

    vector <Drive> vecDrives; //stores all drive data

    void searchDrives(vector <Drive>* pvecDrives);
    void printDrives(vector <Drive>* pvecDrives);
    void filterIgnoredDrives(vector <Drive>* pvecDrives);
    void addSMARTData(vector <Drive>* pvecDrives);
};


#endif  // REHDD_H_